Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

Windows Server 2003 SP2, SQL Server 2000 SP4 (8.00.2039 - according to Add/Remove programs) but with patch 8.00.2055 applied according to 'select @@version'

When I try to apply the cumulative update 8.00.2187 the 'Instances to update' dialogue box in the wizard does not select anything and does not allow me to select anything. If I select 'next' I am told that I haven't selected anything.

When I installed 8.0.2187 directly to 8.00.2039 on another server there is no problem.

Do I need to remove 8.00.2055 prior to 8.00.2187? If so, how do I do that? Or it there another way to 'force' 8.00.2187 to install?

share|improve this question
    
Do you have SQL2005 installed on the same server? –  user99296 Oct 28 '11 at 20:59

1 Answer 1

No you don't need to remove the 2055 patch. Removing specific patches isn't supported on SQL 2000.

Try restarting the instance and see if that helps. The version that is returned by @@version is the correct version.

share|improve this answer
    
I tried what you suggested. Prior to this I had even tried to restart the server. Same result. –  user49352 Sep 23 '11 at 12:26
    
I would check the MSKB and make sure that 2055 to 2187 is a supported upgrade path. –  mrdenny Sep 23 '11 at 19:19

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.